Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Partial Class USU_EspecialidadDbHelper

#Region "Metodos Personalizados"
    ' Definir en esta region los metodos personalizados para el DbHelper
    Public Function ExistePostulacion(nombre As String) As Boolean
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery("select count(*) from PostulanteEspecialidad where certificado=@nombre")
        QueryObject.AddParameter("@nombre", SqlDbType.VarChar, nombre)

        If QueryObject.ExecuteScalar() > 0 Then
            Return True
        Else
            Return False
        End If
    End Function

    Public Function ExisteOtroGradoMismoArchivo(nombre As String) As Boolean
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery("select count(*) from USU_Especialidad where certificado=@nombre")
        QueryObject.AddParameter("@nombre", SqlDbType.VarChar, nombre)

        If QueryObject.ExecuteScalar() > 1 Then
            Return True
        Else
            Return False
        End If
    End Function
#End Region
End Class
